summaryrefslogtreecommitdiff
path: root/tools/ci/scripts/separateunittests.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-08-30 01:17:58 +0300
committerAndrei Karas <akaras@inbox.ru>2017-08-30 01:25:40 +0300
commit89e97b05daf6fd98fce48cf3fef624e55905af46 (patch)
tree2944b4c7b2b0cb121e84752b3f95ffc4c4506fcb /tools/ci/scripts/separateunittests.sh
parenta5f01058610fbb5ce099d0a11acf2eaf6a4b3515 (diff)
downloadplus-89e97b05daf6fd98fce48cf3fef624e55905af46.tar.gz
plus-89e97b05daf6fd98fce48cf3fef624e55905af46.tar.bz2
plus-89e97b05daf6fd98fce48cf3fef624e55905af46.tar.xz
plus-89e97b05daf6fd98fce48cf3fef624e55905af46.zip
Add into .gitlab-ci.yml job for run separatly all unit tests.
Diffstat (limited to 'tools/ci/scripts/separateunittests.sh')
-rwxr-xr-xtools/ci/scripts/separateunittests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/ci/scripts/separateunittests.sh b/tools/ci/scripts/separateunittests.sh
new file mode 100755
index 000000000..9db32ead8
--- /dev/null
+++ b/tools/ci/scripts/separateunittests.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+export LIST=./logs/testslist.txt
+
+./tools/ci/scripts/gettests.py >${LIST} || exit 1
+
+IFS='
+'
+
+for str in $(cat ${LIST})
+do
+ unset IFS
+ declare -a "arr=($str)"
+ echo ./src/manaplustests --test-case=\"${arr[0]}\" --subcase=\"${arr[1]}\"
+ ./src/manaplustests --test-case="${arr[0]}" --subcase="${arr[1]}" || exit 1
+done
+